Download it now!
Bug 81927 - Installation screws up file linkings to Microsoft Office, although installer was instructed not to touch them
Summary: Installation screws up file linkings to Microsoft Office, although installer ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: x86 (IA32) Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Installer-Windows
  Show dependency treegraph
 
Reported: 2014-07-30 18:33 UTC by ovv123
Modified: 2020-03-14 13:12 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ovv123 2014-07-30 18:33:25 UTC
Preambule: Dutch LibreOffice (32-bits?) installment on Dutch Windows 8.1 system, Intel 64-bits. Just a normal installation on a standard Windows version (Dutch) with all other application programs closed.

Earlier versions of LibreOffice, at least 4.2.5:
In the Installation wizard: unchecked (something like): leave the file linkings to Microsoft Office alone. So, the LibreOffice installer was not allowed to touch the file linkings of Microsoft Office documents!
Expected result: after installing LibreOffice all my MS Office documents should be linked to MS Word, MS Excel and MS PowerPoint respectively.
Result after installing: all Microsoft Office documents were linked to LibreOffice.
Remedy: opening all MS Office documents types once with the MS Office module in question. This changed the file linkings from LibreOffice to MS Office.

LibreOffice 4.3.0 screwed up linkings big time.
All documents linkings between Microsoft Office documents and Microsoft Office programs seemed to be intact.
However, double clicking on a Microsoft Office document or clicking on one of my Microsoft Office icons in the taskbar started not the Microsoft Office module as expected, but started some "Windows Installer".
I have no idea which installer, I cancelled immediately.
Again: the LibreOffice installer should have left all linkings to Microsoft documents alone, as instructed in the installer!
I found out a remedy: run the program Microsoft Office Diagnostics (NL: Microsoft Office Diagnostische gegevens). Luckily (the coupling to) this program wasn't screwed up. Somehow the MS Office Diagnostics program found out about the screwed up linkings and restrored them to the correct linkings.  There was no need to install something or another.

Please change the behavior in the LibreOffice installer. Leave all file linkings to Microsoft Office alone if you promise the user that these linkings will not be touched!
Comment 1 Buovjaga 2015-01-04 15:59:10 UTC
Yep, I actually experienced the same today, when I installed on Win 8.1.
Minus any Windows Installer craziness, that is.

Lowering priority, though: https://wiki.documentfoundation.org/images/0/06/Prioritizing_Bugs_Flowchart.jpg

LibO 4.4 RC1 on Win 8.1 32-bit + MSO 2013.
Comment 2 gdeprins 2015-01-05 14:44:49 UTC
I had the same problem on Windows 7 with MS Office 2010 today. When you continue the MS Office installation that appears after launching any of the components (e.g. Word, Excel) it will finish very quickly and repair the links for all Office components without re-installing Office.
Comment 3 ovv123 2015-01-05 20:26:29 UTC
Priority should be high in my opinion. According to the LO "Bug priority triage flowchart" the bug results in "the inability to open particular documents".
For me and several others this bug results in not choosing to update or install LibreOffice. It is a long standing problem, which has gotten worse.
But, since I suspect most of the developers of the LO package don't care too much about products of others (sorry, this is my experience with several software developers), I set the priority to medium.
I still would like to give the bug a high priority though. Developers: choose wisely!
Probably the problem will be solved by simply updating your Windows compiler.
Comment 4 QA Administrators 2016-01-17 20:02:02 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 13:47:52 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:18:00 UTC
Dear ovv123,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug